Package epydoc :: Package docwriter :: Module dotgraph :: Class DotGraphEdge

[hide private]
[frames] | no frames]

# Class DotGraphEdge

source code

Instance Methods | [hide private]

__init__(self, start, end, label=None, **attribs) | source code call graph

Call Graph

__getitem__(self, attr) | source code

__setitem__(self, attr, val) | source code call graph

Call Graph

to_dotfile(self) Return the dot commands that should be used to render this edge. | source code call graph

Call Graph

Instance Variables | [hide private]

DotGraphNode | start
DotGraphNode | end

Method Details | [hide private]

### __init__(self, start, end, label=None, **attribs)
(Constructor)

source code
call graph

Call Graph

Parameters:
  - `start` (DotGraphNode)
  - `end` (DotGraphNode)